unit MainForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  OleCtrls, AgentObjects_TLB;

type
  TForm1 = class(TForm)
    Agent1: TAgent;
    procedure FormCreate(Sender: TObject);
  private
    procedure WaitFor(Request: IAgentCtlRequest);
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

const
  AGENT = 'genie';
  AGENTPATH = 'C:\WinNT\MSAgent\Chars\genie.acs';

procedure TForm1.WaitFor(Request: IAgentCtlRequest);
var
  Status: LongInt;
begin
  repeat
    Application.ProcessMessages;
    Status := Request.Get_Status;
  until (Status <> 2) and (Status <> 4);
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  Character: IAgentCtlCharacter;
  Request: IAgentCtlRequest;
begin
  Agent1.Connected := True;

  Request := Agent1.Characters.Load(AGENT, AGENTPATH);
  Character := Agent1.Characters.Character(AGENT);

  Request := Character.Show(False);
  WaitFor(Request);

  Request := Character.Speak('Hello', EmptyParam);
end;

end.
